CountProjection (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.criterion
Class CountProjection

    java.lang.Object
      org.hibernate.criterion.SimpleProjection
          org.hibernate.criterion.AggregateProjection
              org.hibernate.criterion.CountProjection

All Implemented Interfaces:
  Serializable, EnhancedProjection, Projection

    public class CountProjection

extends AggregateProjection

A count

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.hibernate.criterion.AggregateProjection
`propertyName`

Constructor Summary
`protected` | `CountProjection(String prop)`

Method Summary
`protected List` | `buildFunctionParameterList(Criteria criteria, CriteriaQuery criteriaQuery)`
`CountProjection` | `setDistinct()`
`String` | `toString()`

Methods inherited from class org.hibernate.criterion.AggregateProjection
`buildFunctionParameterList, getFunction, getFunction, getFunctionName, getPropertyName, getTypes, toSqlString`

Methods inherited from class org.hibernate.criterion.SimpleProjection
`as, getAliases, getColumnAliases, getColumnAliases, getColumnAliases, getColumnAliases, getColumnCount, getTypes, isGrouped, toGroupSqlString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CountProjection

    protected CountProjection(String prop)

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `AggregateProjection`

### buildFunctionParameterList

    protected List buildFunctionParameterList(Criteria criteria,
                                              CriteriaQuery criteriaQuery)

  Overrides:
    `buildFunctionParameterList` in class `AggregateProjection`

### setDistinct

    public CountProjection setDistinct()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.